import { ApplicationRef, EnvironmentInjector } from '@angular/core';
import { NotifyOption, ToastData, ToastType } from './notify.model';
import * as i0 from "@angular/core";
export declare class SdNotifyService {
    #private;
    private appRef;
    private injector;
    private document;
    readonly toasts: import("@angular/core").WritableSignal<ToastData[]>;
    constructor(appRef: ApplicationRef, injector: EnvironmentInjector, document: Document);
    success(message: string, option?: NotifyOption): void;
    info(message: string, option?: NotifyOption): void;
    warning(message: string | string[], option?: NotifyOption): void;
    error(message: string | string[], option?: NotifyOption): void;
    remove(id: string): void;
    clearAll(): void;
    clearByType(type: ToastType): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdNotifyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SdNotifyService>;
}
